<?php

namespace App\Http\Controllers;

use App\Http\Resources\UserResource;
use App\Models\User;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\ValidationException;

class AuthController extends Controller
{


    public function login(Request $request): JsonResponse
    {
        $user = User::where('email', $request->email)->first();

        return response()->json(['token' => $user->createToken($request->device)->plainTextToken, 'language' => $user->language]);
//        return response()->json(['user' => new UserResource($user), 'token' => $token->plainTextToken]);
    }
}
