$(function() {
	// Load query results table
	$.get("query.php", function(data) {
		$(".table-container").html(data);
	});

	// Export to Excel
	$(".export-btn").click(function() {
		var table = $(".table-container table")[0];
		var wb = XLSX.utils.table_to_book(table, {sheet:"Sheet JS"});
		var wbout = XLSX.write(wb, {bookType:'xlsx',  type: 'binary'});
		function s2ab(s) {
			var buf = new ArrayBuffer(s.length);
			var view = new Uint8Array(buf);
			for (var i=0; i<s.length; i++) {
				view[i] = s.charCodeAt(i) & 0xFF;
			}
			return buf;
		}
		saveAs(new Blob([s2ab(wbout)],{type:"application/octet-stream"}), 'query_results.xlsx');
	});
});
