 <?php $__env->slot('header', null, []); ?> 
    <h2 class="font-semibold text-xl text-gray-800 leading-tight">
        <?php echo e($resident->name ?? "New"); ?>

    </h2>
 <?php $__env->endSlot(); ?>

<form action="#" method="POST" autocomplete="off">
    <input type="hidden" wire:model="residence_id">
    <div class="shadow overflow-hidden sm:rounded-md">
        <div class="px-4 py-5 bg-white sm:p-6">
            <div class="grid grid-cols-6 gap-6">
                <div class="col-span-6 sm:col-span-3">
                    <label for="id_residence" class="block text-sm font-medium text-gray-700 font-bold">id_residence</label>
                    <input type="text" id="id_residence" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="resident.id_residence">
                    <?php $__errorArgs = ['resident.id_residence'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-red-700"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="nom" class="block text-sm font-medium text-gray-700 font-bold">Nom</label>
                    <input type="text" id="nom" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="resident.nom">
                    <?php $__errorArgs = ['resident.nom'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-red-700"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="prenom" class="block text-sm font-medium text-gray-700 font-bold">Prenom</label>
                    <input type="text" id="prenom" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="resident.prenom">
                    <?php $__errorArgs = ['resident.prenom'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span class="text-red-700"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
            </div>
            <div class="px-4 py-3 bg-gray-50 text-right sm:px-6">
                <div class="h-full items-center shadow-none inline-block align-middle" wire:loading>
                    <div class="animate-spin ease-linear rounded-full border-8 border-t-8 border-gray-200 h-8 w-8 m-1" style="border-top-color: #3498db;"></div>
                </div>
                <button wire:click.prevent="<?php echo e($saveMethod); ?>()" class="py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                    Save
                </button>
            </div>
        </div>
        <div>
            <?php if(session()->has('message')): ?>
                <div class="bg-green-600 text-center px-4 py-3 sm:px-6 text-white">
                    <?php echo e(session('message')); ?>

                </div>
            <?php endif; ?>
            <?php if(session()->has('error-message')): ?>
                <div class="bg-red-600 text-center px-4 py-3 sm:px-6 text-white">
                    <?php echo e(session('error-message')); ?>

                </div>
            <?php endif; ?>
        </div>
    </div>
</form>
<?php /**PATH /home/seniorm/www/resources/views/livewire/resident-form.blade.php ENDPATH**/ ?>