<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            <div class="flex space-x-1 font-bold">
                <span class="self-center">{{ __('Users') }}</span>
                <a href="{{ route('users.new') }}"
                   class="p-1 text-blue-600 hover:bg-blue-600 hover:text-white rounded mx-2">
                    <svg xmlns="http://www.w3.org/2000/svg" class="h-8 w-8" fill="none" viewBox="0 0 24 24"
                         stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                              d="M12 9v3m0 0v3m0-3h3m-3 0H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z"/>
                    </svg>
                </a>
            </div>
        </h2>
    </x-slot>

    <livewire:users-table
        sort="id|asc"
    />
</x-app-layout>
