<div class="flex space-x-1 justify-around">
    <?php if($linked): ?>
        <button wire:click.prevent="deleteUser(<?php echo e($id); ?>)" title="Remove user from animation" class="p-1 text-red-600 hover:bg-red-600 hover:text-white rounded">
            <svg class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M9 2a1 1 0 00-.894.553L7.382 4H4a1 1 0 000 2v10a2 2 0 002 2h8a2 2 0 002-2V6a1 1 0 100-2h-3.382l-.724-1.447A1 1 0 0011 2H9zM7 8a1 1 0 012 0v6a1 1 0 11-2 0V8zm5-1a1 1 0 00-1 1v6a1 1 0 102 0V8a1 1 0 00-1-1z" clip-rule="evenodd"></path></svg>
        </button>
    <?php else: ?>
        <button wire:click.prevent="addUser(<?php echo e($id); ?>)" title="Add user to animation" class="p-1 text-indigo-600 hover:bg-indigo-600 hover:text-white rounded">
            <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" viewBox="0 0 20 20" fill="currentColor">
                <path fill-rule="evenodd" d="M10 3a1 1 0 011 1v5h5a1 1 0 110 2h-5v5a1 1 0 11-2 0v-5H4a1 1 0 110-2h5V4a1 1 0 011-1z" clip-rule="evenodd" />
            </svg>
        </button>
    <?php endif; ?>
</div>
<?php /**PATH /home/dev/senioranim_back-master/resources/views/livewire/animation-users-actions.blade.php ENDPATH**/ ?>